# Exonum

[![Travis Build Status](https://img.shields.io/travis/exonum/exonum/master.svg?label=Linux%20Build)](https://travis-ci.org/exonum/exonum)
![CircleCI Build Status](https://img.shields.io/circleci/project/github/exonum/exonum.svg?label=MacOS%20Build)
[![Docs.rs](https://docs.rs/exonum/badge.svg)](https://docs.rs/exonum)
[![License: Apache-2.0](https://img.shields.io/github/license/exonum/exonum.svg)](https://github.com/exonum/exonum/blob/master/LICENSE)
![rust 1.27+ required](https://img.shields.io/badge/rust-1.27+-blue.svg?label=Required%20Rust)

[Exonum](https://exonum.com/) is an extensible open-source framework for
creating blockchain applications. Exonum can be used to create cryptographically
powered distributed ledgers in virtually any problem domain, including FinTech,
GovTech, and LegalTech. The Exonum framework is oriented towards creating
permissioned blockchains, that is, blockchains with the known set of blockchain
infrastructure providers.

* [What is Exonum?](https://exonum.com/doc/get-started/what-is-exonum/)
* [Design Overview](https://exonum.com/doc/get-started/design-overview/)
* [Installation guide](https://exonum.com/doc/get-started/install/)
* [Tutorial](https://exonum.com/doc/get-started/create-service/)
* [Roadmap](https://exonum.com/doc/roadmap/)
* [Full Specification](https://exonum.com/doc/)
* [Reference documentation](https://docs.rs/exonum)
* [Contributing guide](https://github.com/exonum/exonum/blob/master/CONTRIBUTING.md)
* [Changelog](https://github.com/exonum/exonum/blob/master/CHANGELOG.md)

## LICENSE

Exonum core library is licensed under the Apache License (Version 2.0).
See [LICENSE] for details.

[LICENSE]: https://github.com/exonum/exonum/blob/master/LICENSE
